server {
    listen 192.168.1.2:80;
    server_name mail.898.ro;
    charset	utf-8;
   
    ### redirect
    if ($scheme != "https") {
         return 301 https://$host$request_uri;
    } # managed by Certbot

    if ($host ~* ~^www\..+\.mail.898.ro\.ro$) {
        return 301 $scheme://+\/mail.898.ro$request_uri;
    }
}

server {
	server_name mail.898.ro;
	charset	utf-8;
	root /var/www/html/roundcubemail;
	index index.php;

	listen 192.168.1.2:443 ssl; # managed by Certbot
	ssl_certificate /etc/letsencrypt/live/mail.898.ro/fullchain.pem;
	ssl_certificate_key /etc/letsencrypt/live/mail.898.ro/privkey.pem;
	include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    access_log /var/log/nginx/mail.898.ro.access.log;
    error_log /var/log/nginx/mail.898.ro.error.log;

	location / {
		proxy_pass  http://192.168.1.5:80;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header Host $http_host;
	
	}
}
